Bug 131054 - Rebuilding of php dies if file package is too old
Rebuilding of php dies if file package is too old
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2004-08-26 19:07 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.8-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-27 10:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log file of failed php rebuild for further details (27.93 KB, text/plain)
2004-08-26 19:11 EDT, Robert Scheck
no flags Details

  None (edit)
Description Robert Scheck 2004-08-26 19:07:58 EDT
Description of problem:
Rebuilding of the php package dies, if the file package is too old: 

--- snipp ---
#ifdef __cplusplus
extern "C" void std::exit (int) throw (); using std::exit;

configure: exit 1
+ make
make: *** No targets specified and no makefile found.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.36452 (%build)
--- snapp ---

It's a strange error and you don't think first, that it is caused by 
a missing magic.mime.

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Install file < 4.0
2. Try to rebuild php
3. Die with an strange error
Actual results:
--- snipp ---
--- php.spec       2004-08-26 16:49:54.000000000 +0200
+++ php.spec.rsc   2004-08-27 01:06:39.000000000 +0200
@@ -47,11 +47,11 @@
 BuildRequires: httpd-devel >= 2.0.46-1, libjpeg-devel, libpng-devel, pam-devel
 BuildRequires: libstdc++-devel, openssl-devel
 BuildRequires: zlib-devel, pcre-devel, smtpdaemon
-BuildRequires: bzip2, fileutils, file, perl, libtool >= 1.4.3
+BuildRequires: bzip2, fileutils, file >= 4.0, perl, libtool >= 1.4.3
 Obsoletes: php-dbg, mod_php, php3, phpfi, stronghold-php, php-openssl
 # Enforce Apache module ABI compatibility
 Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)
-Requires: php-pear, file
+Requires: php-pear, file >= 4.0

 PHP is an HTML-embedded scripting language. PHP attempts to make it
--- snapp ---

This diff maybe differs a few lines up or down, because I've got 
some modifications in my spec file that never will be included to 
Fedora ;-)

Expected results:
Requirement to file >= 4.0 - I think, it's enough to commit this 
fix to the internal build system and do a rebuild together with 
other fixes and changes, because this is absolutely a minor issue 
in my eyes.
Comment 1 Robert Scheck 2004-08-26 19:11:48 EDT
Created attachment 103146 [details]
Log file of failed php rebuild for further details

Oh...I forgot to thank you, Marco/katerX, for discovering this issue ;-)
Comment 2 Joe Orton 2004-08-27 05:20:56 EDT
Thanks, your patch will be included in the next build.

Note You need to log in before you can comment on or make changes to this bug.